\begin{tabular}{lrrr}
\toprule
{} & \textsc{\#solv.} & \textsc{time (s)} \\
\midrule
$\mathtt{VBS}(H)$    &            $574$ &          $52,175$ \\
$\mathtt{ASH}(H,8)$  &            $557$ &          $93,922$ \\
$\mathtt{ASH}(H,16)$ &            $556$ &          $94,844$ \\
$\mathtt{ASH}(H,1)$  &            $555$ &          $97,506$ \\
$\mathtt{ASH}(H,2)$  &            $555$ &          $99,044$ \\
$\mathtt{ASH}(H,4)$  &            $553$ &         $100,387$ \\
$\mathtt{UCB}(H)$    &            $550$ &         $115,210$ \\
$\mathtt{UNI}(H)$    &            $547$ &         $115,608$ \\
$\mathtt{cacd}$      &            $543$ &         $140,289$ \\
$\mathtt{chs}$       &            $528$ &         $157,484$ \\
$\mathtt{dom/wdeg}$  &            $520$ &         $179,228$ \\
$\mathtt{EXP3}(H)$   &            $480$ &         $269,192$ \\
$\mathtt{abs}$       &            $420$ &         $426,498$ \\
$\mathtt{dom/ddeg}$  &            $406$ &         $442,194$ \\
$\mathtt{dom}$       &            $404$ &         $467,824$ \\
$\mathtt{ibs}$       &            $383$ &         $495,997$ \\
$\mathtt{lex}$       &            $382$ &         $509,658$ \\
\bottomrule
\end{tabular}
